## eclipse-linuxtools 1.0.0

=== debian/changelog ===
eclipse-linuxtools (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Remove eclipse-cdt-autotools binary package.
    - The code moved to Eclipse CDT.
  * Drop d/patches/valgrind-remove-unused-emf-dependency.patch
    - Included upstream.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 29 Jun 2012 12:07:30 +0200

eclipse-linuxtools (0.10.0+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #644535, #593285)

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 18 Jun 2012 15:32:30 +0200
