## eclipse-linuxtools 1.2.1+dfsg

=== debian/changelog ===
eclipse-linuxtools (1.2.1+dfsg-1) unstable; urgency=low

  * Add d/get-orig-source.
  * Removed leftover binaries, DFSG-incompatibly licensed and useless
    files: .gitignore, a.out, *.libhover, glibc-2.14.xml from upstream
    tarball (Closes: #708873).
  * Add eclipse-rse into Build-Depends (Closes: #709268).
    - Reflexes change in eclipse-cdt that doesn't depend on RSE anymore.
  * Bump Standards-Version to 3.9.4.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 21 May 2013 11:41:41 +0200

eclipse-linuxtools (1.2.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

 -- tony mancill <tmancill@debian.org>  Mon, 13 May 2013 21:43:22 -0700

eclipse-linuxtools (1.2.0-1) experimental; urgency=low

  * New upstream release.
  * Build separate packages for common Eclipse profiling framework plugins.
  * Enable perf integration.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 01 Dec 2012 12:41:53 +0100

eclipse-linuxtools (1.1.0-1) experimental; urgency=low

  [ Jakub Adam ]
  * New upstream release.
  * Refreshed d/patches/remote-profiling-disable-rdt-proxy.patch.
  * Fix bundle build order.
  * Remove versions from Orbit dependencies.

  [ Niels Thykier ]
  * Add Vcs-* headers.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 03 Aug 2012 16:29:29 +0200
