=== debian/control ===
--- 
+++ 
@@ -7,16 +7,49 @@
                default-jdk,
                eclipse-pde (>= 3.7~exp),
                eclipse-cdt (>= 8.0.0),
+               eclipse-rse,
                javahelper (>= 0.32~),
                libswtchart-java,
                unzip,
                zip
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.eclipse.org/linuxtools/
+Vcs-Git: git://anonscm.debian.org/pkg-java/eclipse-linuxtools.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/eclipse-linuxtools.git
+
+Package: eclipse-cdt-profiling-framework
+Architecture: all
+Depends: eclipse-cdt,
+         ${misc:Depends},
+         ${orbit:Depends}
+Description: Eclipse CDT Profiling Framework
+ This package provides a common infrastructure that allows one to integrate
+ various profiling tools into Eclipse IDE. It supports 3 categories of tools:
+ .
+  * Timing - measure the amount of time taken in functions and methods
+  * Memory - profiles heap/stack/cache usage for an application
+  * Coverage - measures how much of the code gets exercised in a run
+ .
+ In addition to this package, a plugin that integrates particular profiling tool
+ (e.g. Valgrind or perf) is required in order to run performance analysis.
+
+Package: eclipse-cdt-profiling-framework-remote
+Architecture: all
+Depends: eclipse-cdt-profiling-framework,
+         eclipse-rse,
+         ${misc:Depends},
+         ${orbit:Depends}
+Description: Remote profiling support for Eclipse
+ This package allows one to launch profiling tools and acquire data from remote
+ targets like embedded systems, that have too limited resources to run a full
+ scale IDE.
+ .
+ In addition to this package, a plugin that integrates particular profiling tool
+ is required in order to run performance analysis.
 
 Package: eclipse-cdt-valgrind
 Architecture: all
-Depends: eclipse-cdt,
+Depends: eclipse-cdt-profiling-framework,
          valgrind,
          ${misc:Depends},
          ${orbit:Depends}
@@ -88,7 +121,7 @@
 Package: eclipse-cdt-valgrind-remote
 Architecture: all
 Depends: eclipse-cdt-valgrind,
-         eclipse-rse,
+         eclipse-cdt-profiling-framework-remote,
          ${misc:Depends},
          ${orbit:Depends}
 Description: Valgrind integration for Eclipse CDT (remote launch)
@@ -97,3 +130,22 @@
  .
  This package allows one to launch Valgrind on a remote target configured in
  Eclipse Remote Systems Explorer.
+
+Package: eclipse-cdt-perf
+Architecture: all
+Depends: eclipse-cdt-profiling-framework,
+         ${misc:Depends},
+         ${orbit:Depends}
+Recommends: linux-tools
+Suggests: eclipse-cdt-profiling-framework-remote
+Description: 'perf' analysis tool integration for Eclipse CDT
+ 'perf' is a performance counters subsystem in Linux. Performance counters are
+ CPU hardware registers that count hardware events such as instructions executed
+ and cache-misses suffered. These counters aid in profiling applications to
+ detect hotspots in the application. 'perf' provides per task, per CPU and
+ per-workload counters, sampling on top of these and source code event
+ annotation.
+ .
+ The perf plug-in for Eclipse allows the developer to execute profiles in their
+ applications in a seamless way, using quick launch actions and visualizing
+ the results in an user-friendly interface.
