=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

export JAVA_HOME:=/usr/lib/jvm/default-java
BUILD_ID:=dist

%:
	dh $@ --with eclipse-helper

override_jh_compilefeatures:
	jh_compilefeatures --build-opts="-DjavacTarget=1.6 -DjavacSource=1.6 -DbuildId=$(BUILD_ID) -DforceContextQualifier=$(BUILD_ID)";

# Directory changelog/ collides with dh_installchangelogs searching for upstream
# logs and causes crash during build
override_dh_installchangelogs:
	dh_installchangelogs -Xchangelog
