## eclipse-linuxtools 2.2.1

=== debian/changelog ===
eclipse-linuxtools (2.2.1-1) unstable; urgency=low

  * New upstream release.
  * Refreshed d/patches.
  * Removed eclipse-cdt-valgrind-remote package, all its functionality
    is now provided by eclipse-cdt-profiling-framework-remote.
  * Added remove-license-feature.patch.
  * Bump Standards-Version to 3.9.5.
  * Enable eclipse-changelog package.
  * Enable eclipse-rpm-editor package.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 12 May 2014 18:11:40 +0200
