=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
                default-jdk,
                eclipse-pde (>= 3.7~exp),
                eclipse-cdt (>= 8.0.0),
-               eclipse-rse,
+               eclipse-ptp-rdt,
                javahelper (>= 0.32~),
                libswtchart-java,
                unzip,
                zip
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.eclipse.org/linuxtools/
 Vcs-Git: git://anonscm.debian.org/pkg-java/eclipse-linuxtools.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/eclipse-linuxtools.git
@@ -37,6 +37,7 @@
 Architecture: all
 Depends: eclipse-cdt-profiling-framework,
          eclipse-rse,
+         eclipse-ptp-rdt,
          ${misc:Depends},
          ${orbit:Depends}
 Description: Remote profiling support for Eclipse
@@ -118,19 +119,6 @@
  Integration with the CDT's parsed code model provides a user interface that
  resembles what you see in the Outline view.
 
-Package: eclipse-cdt-valgrind-remote
-Architecture: all
-Depends: eclipse-cdt-valgrind,
-         eclipse-cdt-profiling-framework-remote,
-         ${misc:Depends},
-         ${orbit:Depends}
-Description: Valgrind integration for Eclipse CDT (remote launch)
- The Linux Tools Project Valgrind plugin aims to provide simple and effective
- profiling for the C/C++ Development Tools.
- .
- This package allows one to launch Valgrind on a remote target configured in
- Eclipse Remote Systems Explorer.
-
 Package: eclipse-cdt-perf
 Architecture: all
 Depends: eclipse-cdt-profiling-framework,
@@ -149,3 +137,27 @@
  The perf plug-in for Eclipse allows the developer to execute profiles in their
  applications in a seamless way, using quick launch actions and visualizing
  the results in an user-friendly interface.
+
+Package: eclipse-changelog
+Architecture: all
+Depends: ${misc:Depends},
+         ${orbit:Depends}
+Description: Automatic ChangeLog entry creation support for Eclipse
+ Method and function indication is provided for C, C++, and Java language files.
+ The RPM .spec %changelog format is also supported. A ChangeLog entry can be
+ created for a single file or an entire project. In addition, a ChangeLog editor
+ is provided which makes it easy to format the file consistently and to put the
+ latest entry into the clipboard buffer for usage in a repository commit
+ operation.
+
+Package: eclipse-rpm-editor
+Architecture: all
+Depends: eclipse-changelog,
+         ${misc:Depends},
+         ${orbit:Depends}
+Description: Editor for RPM .spec files integrated into Eclipse
+ Specfile Editor is a full featured editor for RPM spec files. Specfiles are the
+ files that tell the rpm program which are the sources for this package, how to
+ build, where to install, additional scripts to execute on install/uninstall and
+ so on. This plugin provides all the basic features for editing or modifing such
+ specfile.
