=== debian/changelog ===
eclipse-linuxtools (3.1.0-1) unstable; urgency=medium

  [ Jakub Adam ]
  * New upstream release (Closes: #761524).
  * Refreshed d/patches.
  * Don't build removed feature org.eclipse.linuxtools.tools.launch
    - merged into org.eclipse.linuxtools.profiling.
  * Use javac target 1.7.
  * Build new feature org.eclipse.linuxtools.dataviewers.feature
    - required by Valgrind integration.
  * Build-depend on eclipse-remote-services-api and eclipse-cdt-autotools.
  * Bump Standards-Version to 3.9.6.
  * Override incompatible-java-bytecode-format - linuxtools needs Java 7.
  * Remove unused codeless-jar override.

  [ tony mancill ]
  * Tweak short package description to make lintian happy.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 11 Oct 2014 11:44:05 +0200
