=== debian/control ===
--- 
+++ 
@@ -7,12 +7,14 @@
                default-jdk,
                eclipse-pde (>= 3.7~exp),
                eclipse-cdt (>= 8.0.0),
+               eclipse-cdt-autotools,
                eclipse-ptp-rdt,
+               eclipse-remote-services-api,	
                javahelper (>= 0.32~),
                libswtchart-java,
                unzip,
                zip
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.eclipse.org/linuxtools/
 Vcs-Git: git://anonscm.debian.org/pkg-java/eclipse-linuxtools.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/eclipse-linuxtools.git
@@ -20,9 +22,10 @@
 Package: eclipse-cdt-profiling-framework
 Architecture: all
 Depends: eclipse-cdt,
+         eclipse-cdt-autotools,
          ${misc:Depends},
          ${orbit:Depends}
-Description: Eclipse CDT Profiling Framework
+Description: framework for profiling tools for Eclipse CDT
  This package provides a common infrastructure that allows one to integrate
  various profiling tools into Eclipse IDE. It supports 3 categories of tools:
  .
@@ -38,6 +41,7 @@
 Depends: eclipse-cdt-profiling-framework,
          eclipse-rse,
          eclipse-ptp-rdt,
+         eclipse-remote-services-api,
          ${misc:Depends},
          ${orbit:Depends}
 Description: Remote profiling support for Eclipse
