=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	dh $@ --with eclipse-helper
 
 override_jh_compilefeatures:
-	jh_compilefeatures --build-opts="-DjavacTarget=1.6 -DjavacSource=1.6 -DbuildId=$(BUILD_ID) -DforceContextQualifier=$(BUILD_ID)";
+	jh_compilefeatures --build-opts="-DjavacTarget=1.7 -DjavacSource=1.7 -DbuildId=$(BUILD_ID) -DforceContextQualifier=$(BUILD_ID)";
 
 # Directory changelog/ collides with dh_installchangelogs searching for upstream
 # logs and causes crash during build
