## eclipse-linuxtools 7.4.0+dfsg.1

=== debian/changelog ===
eclipse-linuxtools (7.4.0+dfsg.1-2) unstable; urgency=medium

  * Source only upload.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 25 Jul 2020 19:43:13 +0100

eclipse-linuxtools (7.4.0+dfsg.1-1) unstable; urgency=medium

  * Re-introduce the package. (Closes: #961796)
    - Update to v7.4.0 upstream.
    - New binary package libeclipse-linuxtools-java (Java libraries-only)
  * Use https with watch URI.
  * Add Rules-Requires-Root: no.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 08 Jun 2020 12:47:58 +0100
