=== debian/control ===
Source: eclipse-linuxtools
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends: debhelper-compat (= 13),
               default-jdk,
               maven-debian-helper,
               libswt-gtk-4-java,
               libswtchart-java
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.eclipse.org/linuxtools/
Vcs-Git: https://salsa.debian.org/java-team/eclipse-linuxtools.git
Vcs-Browser: https://salsa.debian.org/java-team/eclipse-linuxtools

Package: libeclipse-linuxtools-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}
Suggests: ${maven:OptionalDepends}
Description: framework for Eclipse CDT profiling tools (Java libraries)
 The Linux Tools project aims to bring a full-featured C and C++ IDE to
 Linux developers. It builds on the source editing and debugging features
 of the CDT and integrate popular native development tools such as Valgrind,
 OProfile, RPM, SystemTap, GCov, GProf, LTTng, etc. Current projects include
 LTTng trace viewers and analyzers, an RPM .spec editor, a Valgrind heap
 usage analysis tool, and OProfile and Perf call profiling tools.
 .
 This package only builds the piechart library.
