=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
https://git.eclipse.org/c/linuxtools/org.eclipse.linuxtools.git/refs/tags .*org\.eclipse\.linuxtools-(\d+\.\d+\.\d+).tar.gz
