## eclipse-linuxtools 8.1.0+dfsg.1

=== containers/org.eclipse.linuxtools.docker.integration.tests/resources/test-compose/requirements.txt ===
flask
redis
