=== debian/changelog ===
eclipse-linuxtools (8.1.0+dfsg.1-1) unstable; urgency=medium

  * Fix watch file and add dfsg to repack
  * New upstream version 8.1.0+dfsg.1
    - Refresh patch.
    - Fix dependency.
  * Update Standards-Version to 4.5.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 29 Dec 2020 00:09:32 +0000

eclipse-linuxtools (7.4.0+dfsg.1-3) unstable; urgency=medium

  * Use upstream manifest file.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 18 Sep 2020 23:34:49 +0100
