=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                default-jdk,
                maven-debian-helper,
                libswt-gtk-4-java,
-               libswtchart-java
-Standards-Version: 4.5.0
+               libeclipse-swtchart-java
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://www.eclipse.org/linuxtools/
 Vcs-Git: https://salsa.debian.org/java-team/eclipse-linuxtools.git
